library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity twoway_tb is
end twoway_tb;

architecture behavioural of twoway_tb is

  component twoway
    generic (NBit : positive);
    port( 
          clk : in std_logic;
            q : out std_logic_vector(NBit-1 downto 0)
         );
  end component;    

  constant size : positive := 6;
  constant clk_period : time := 10 ns;

  signal clk : std_logic := '0';
  signal   l : std_logic_vector(size-1 downto 0);

  begin
    
    uut: twoway generic map ( Nbit => size )
                   port map ( clk => clk, q => l );

    clk_process: process
    begin
      clk <= not clk;
      wait for clk_period/2;
    end process;

    stimulate_process: process
    begin
      -- let counter run
      wait;
    end process;

end behavioural;
      
  

